from typing import Any, Dict

from planqk.commons.reflection import resolve_function, resolve_signature


def run_entrypoint(entrypoint: str, entrypoint_arguments: Dict[str, Any]) -> Any:
    signature = resolve_signature(entrypoint)

    # remove keys from 'entrypoint_arguments' that are not parameters in the signature
    entrypoint_arguments = {k: v for k, v in entrypoint_arguments.items() if k in signature.parameters}

    func = resolve_function(entrypoint)
    return func(**entrypoint_arguments)
